server:
  port: 6060
  servlet:
    context-path: /seer/admin

spring:
  application:
    name: seer-admin  # 服务名称
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
    mvc:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: root
    url: jdbc:mysql://localhost:3306/seer_teach?useSSL=false&serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8&connectTimeout=10000&socketTimeout=60000
  data:
    redis:
      # Redis数据库索引（默认为0）
      database: 0
      # Redis服务器地址
      host: 192.168.0.45
      # Redis服务器连接端口
      port: 6379
      # Redis服务器连接密码（默认为空）
      password: Zs139768
  servlet:
    multipart:
      max-file-size: 200MB
      max-request-size: 200MB
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  flyway:
    enabled: true
    locations: classpath:db/mysql
    baseline-on-migrate: true
    clean-disable: true
    table: flyway_schema_history_admin
  cloud:
    nacos:
      discovery:
        server-addr: 192.168.0.39:8848  # Nacos 服务地址
        group: DEFAULT_GROUP         # 分组（默认DEFAULT_GROUP）
        namespace: ${spring.profiles.active}
      config:
        server-addr: 192.168.0.39:8848  # 配置中心地址
        file-extension: yaml         # 配置文件后缀（yaml/properties）
        namespace: ${spring.profiles.active}
#日志
logging:
  config: classpath:logback-${spring.profiles.active}.xml

# 公众号配置（必填），参见 https://github.com/Wechat-Group/WxJava/blob/develop/spring-boot-starters/wx-java-mp-spring-boot-starter/README.md 文档
wx:
  mp:
    config-storage:
      type: RedisTemplate
      key-prefix: wx
      http-client-type: HttpClient
    app-id: null
  miniapp:
    appid: wx04019010242d540e
    secret: d9280058237ee5e3dd81bafd72e5cf3b
    msgDataFormat: XML
    config-storage:
      type: RedisTemplate
      key-prefix: wx

feign:
  okhttp:
    enabled: true
  httpclient:
    enabled: false

mybatis-plus:
  type-aliases-package: com.seer.teach.entity
  mapper-locations: classpath:mapper/*.xml,classpath*:com/seer/teach/**/*Mapper.xml
  global-config:
    db-config:
      logic-delete-field: deleted
      logic-delete-value: 1
      logic-not-delete-value: 0
      log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  configuration:
    map-underscore-to-camel-case: true
    use-generated-keys: true

management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: always
    shutdown:
      enabled: false

#极兔
logistics:
  jt:
    apiAccount: '178337126125932605'
    privateKey: '0258d71b55fc45e3ad7a7f38bf4b201a'
    customerCode: 'J0086474299'
    customerPwd: 'H5CD3zE6'
    createOrderUrl: 'https://uat-openapi.jtexpress.com.cn/webopenplatformapi/api/order/addOrder'
    queryTraceUrl: 'https://uat-openapi.jtexpress.com.cn/webopenplatformapi/api/logistics/trace'


#Minio配置
minio:
  bucket: seerteach
  url: http://192.168.0.39:9300
  accessKey: oCkIBnlSHPstC9opjava
  secretKey: sizdZmYHKQhFAZIFC2FnZ7BhRzSd3TGmTlXIAIzu
  aiCorrect: aiCorrect/
  avatar: avatar/
  wxQrCodeImage: wxQrCodeImage/
  aiAudio: aiAudio/
  aiChatAudio: aiChatAudio/
  aiSmartAudio: aiSmartAudio/
  aiHealthArticleAudio: aiSmartHealthArticleAudio/
  aiPreview: aiPreview/
  aiReview: aiReview/
  userAudios: userAudios/
  chatLogFolder: chatLogFolder/
  androidFolder: android/
  banner: banner/
sa-token:
#  cookie:
#    same-site: None
#    secure: false
  # token 名称（同时也是 cookie 名称）
  token-name: token
  # token 有效期（单位：秒） 默认30天，-1 代表永久有效
  timeout: 2592000
  # token 最低活跃频率（单位：秒），如果 token 超过此时间没有访问系统就会被冻结，默认-1 代表不限制，永不冻结
  active-timeout: -1
  # 是否允许同一账号多地同时登录 （为 true 时允许一起登录, 为 false 时新登录挤掉旧登录）
  is-concurrent: false
  # 在多人登录同一账号时，是否共用一个 token （为 true 时所有登录共用一个 token, 为 false 时每次登录新建一个 token）
  is-share: true
  # token 风格（默认可取值：uuid、simple-uuid、random-32、random-64、random-128、tik）
  token-style: uuid
  # 是否输出操作日志
  is-log: true
#大模型配置
largeModel:
  ip: http://192.168.0.28:8878/
  aiCorrectToPoint: ai_correct_to_point
  cancelAiCorrect: cancel_ai_correct
  aiCorrectToPointToChallenge: ai_correct_to_point_to_challenge
  questionsCorrect: questions_correct
  getChapters: get_chapters_context
  aiQuestionCorrect: ai_evaluation_correct
  aiChat: ai_chat
  getQuestions: get_questions
  getPlanQuestions: get_plan_questions
  study: study
  vcr: vcr
  tts: tts
  stt: stt
  sseAiChat: sseChat
  sseStudy: sseStudy
  sseAiCorrect: ahom_sseAiCorrect
  getComment: get_comment
  recommendChapters: recommend_chapters
  planCoverImage: http://192.168.0.39:9300/seerteach/systemConfig/planConver/planImage.png
  ocr: http://192.168.0.28:8099/bboxAndOrder
  processUpload: http://192.168.0.19:7007/processBase64
  getContextAboutSingleQuestion: http://192.168.0.28:8099/getContextAboutSingleQuestion
  getTextBase64: http://192.168.0.28:8099/getTextBase64


zs:
  decryption:
    enabled: true
  encryption:
    enabled: true
  task:
    clean-minio:
      enabled: false
    online-device:
      enabled: false
    refresh-wx-access-token:
      enabled: false
  text:
    similarity:
      service:
        url: http://192.168.0.108:5000/text-similarity-batch
  cors:
    origins:
      - http://localhost:*
      - http://192.168.*:*
      - http://10.10.*:*
      - http://10.10.4.143:8020
      - https://admin-api.seerteach.net:*
      - http://admin-api.seerteach.net:*
      - https://admin.seerteach.net:*
      - https://admin.seerteach.net